Bug 523500 - [PolicyKit-kde] spurious install of KDE packages on GNOME system
Summary: [PolicyKit-kde] spurious install of KDE packages on GNOME system
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: rawhide
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 18:08 UTC by Joachim Frieben
Modified: 2014-01-21 23:11 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-27 10:17:44 UTC


Attachments (Terms of Use)
Output of 'yum -d 7 update' after downgrading to (obsolete) package PolicyKit-kde (88.00 KB, text/plain)
2009-09-15 19:12 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2009-09-15 18:08:00 UTC
Description of problem:
Updating a Koji based system today has pulled in a number of KDE packages which are not only undesirable on this pure GNOME system but, moreover, appear to be not even required. Executing 'yum update' returns the following schedule:

  ..
Installing for dependencies:
  constantine-backgrounds-kde
  constantine-kde-theme
  kde-settings-kdm
  kdebase-runtime
  kdebase-runtime-libs
  kdebase-workspace
  kdebase-workspace-libs
  kdelibs-experimental
  kdepimlibs
  kdm
  kio_sysinfo
  ksysguardd
  qedje
  qimageblitz
  ..

'yum remove constantine-backgrounds-kde ..' appending all packages listed above allows to remove them altogether without interfering with the rest of the system which makes one wonder why they got pulled in in the first place.

Before, only the following KDE packages were installed after selecting language support for French and Spanish during system install:

  kde-filesystem
  kde-settings
  kde-l10n-French
  kde-l10n-Spanish
  kdelibs
  kdelibs-common
  PolicyKit-kde [obsoleted by polkit]

Version-Release number of selected component (if applicable):
yum-3.2.24-3.fc12.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Execute 'yum update' koji system on 2009-09-15 at 18:56 MEST.
  
Actual results:
A significant number of KDE packages gets installed without any obvious requirement.

Expected results:
Only required packages get installed in addition to updated packages.

Additional info:
None.

Comment 1 seth vidal 2009-09-15 18:18:35 UTC
1. what does a ' koji-based system' mean?

2. can you include the full output of: yum -d 7 update so we can see what pkgs  are being updated that are pulling in kde requirements?

Comment 2 Joachim Frieben 2009-09-15 19:12:40 UTC
Created attachment 361122 [details]
Output of 'yum -d 7 update' after downgrading to (obsolete) package PolicyKit-kde

1. This means that a file fedora-koji.repo is present in /etc/yum.repos.d,
   all other repos being disabled, and its content reading

   [koji]
   name= koji - Koji Development Packages
   baseurl=http://koji.fedoraproject.org/static-repos/dist-f12-build-current/$basearch
   enabled=1
   gpgcheck=0

2. It seems as if the culprit was PolicyKit-kde [full log attached] which
   became evident after forcing the downgrade to (obsolete) package
   PolicyKit-kde and of related packages.

Comment 3 Joachim Frieben 2009-09-15 19:20:00 UTC
kdebase-workspace also replaces polkit-qt with the same effect.

Comment 4 seth vidal 2009-09-15 19:25:45 UTC
so PolicyKit-kde is obsoleted by kdebase-workspace which is what is pulling in everything?

If so - then shouldn't this bug report go to the pkgers of those packages?

Comment 5 Joachim Frieben 2009-09-15 20:09:06 UTC
(In reply to comment #4)
Doesn't sound that stupid after all ..

Comment 6 Kevin Kofler 2009-09-15 20:52:14 UTC
Why did you have PolicyKit-kde and polkit-qt installed on a non-KDE system in the first place? This stuff was only dragged in by KDE (kdebase-workspace itself and kpackagekit), so it's normal that KDE is obsoleting it out.

Comment 7 Joachim Frieben 2009-09-15 23:20:35 UTC
(In reply to comment #6)
Looking at /root/install.log of the "rawhide" install, two entries are particularly interesting:

  Installing PolicyKit-0.9-6.fc11.x86_64
  Installing PolicyKit-kde-4.3.1-3.fc12.x86_64

I had chosen language support for French and Spanish which triggered

  Installing kde-filesystem-4-30.fc12.noarch
  Installing kde-l10n-French-4.3.1-2.fc12.noarch
  Installing kde-l10n-Spanish-4.3.1-2.fc12.noarch
  Installing kde-settings-4.3-6.1.noarch
  Installing kdelibs-common-4.3.1-3.fc12.x86_64
  Installing kdelibs-4.3.1-3.fc12.x86_64

even on a pure GNOME system. A further dependency for PolicyKit-kde led to

  Installing polkit-qt-0.9.2-2.fc12.x86_64

Now, the interesting point is that system-config-services-0.99.39-1.fc12.noarch requires PolicyKit-authentication-agent which is provided either by PolicyKit-kde or by PolicyKit-gnome. However, it is the former which got pulled in instead of the latter.

After installing PolicyKit-gnome-0.9.2-5.fc12.x86_64 and PolicyKit-gnome-libs-0.9.2-5.fc12.x86_64, PolicyKit-kde can actually be removed without complaint, likewise polkit-qt.

Comment 8 Joachim Frieben 2009-09-15 23:24:31 UTC
Btw, disabling the Koji branch and enabling the "rawhide" repository does not make any difference regarding the issue reported above.

Comment 9 Kevin Kofler 2009-09-15 23:25:10 UTC
I guess that's a Rawhide-only issue. F11 installs had PolicyKit-gnome dragged in by the GNOME comps group, so they shouldn't have received -kde on pure GNOME systems.

But anyway, if the consensus is that polkit should be what obsoletes PolicyKit-kde and polkit-qt, I can drop the Obsoletes from kdebase-workspace. (I just put them there for lack of a better place to put them.)

Comment 10 Rex Dieter 2009-09-24 12:48:56 UTC
fwiw, PolicyKit-kde no longer exists on F-12 (or soon won't), problem solved.

Comment 11 Rex Dieter 2009-09-24 14:36:52 UTC
Oh, the Obsoletes issue remains, sorry.

Kevin's suggestion in comment #9 about moving the Obsoletes make sense.

Comment 12 Rex Dieter 2009-09-24 15:09:19 UTC
Talked out load (and with jreznik) in irc a bit, and I changed my mind.  With a kde authenticator making a comeback in the not-too-distant future, doing the obsoletes outside of kde packaging and getting the versioning right and safe would be tricky.

Comment 13 Steven M. Parrish 2009-09-26 23:27:44 UTC
So is this a WONTFIX?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 14 Joachim Frieben 2009-09-27 10:13:30 UTC
On Sep 25, 2009, I have performed another install from scratch from the "rawhide" tree similarly to the one preceding this bug report.
There are no '*kde*' installed anymore, not even the language related ones.
For system upgrades this might look different, but they are not supported for the transition from development snapshots to F12 anyway, and F11 did not have this problem either.

Comment 15 Kevin Kofler 2009-09-27 10:17:44 UTC
Well, then I'd say this is just part of the regular Rawhide pain and it's already fixed for current Rawhide installs, so closing.


Note You need to log in before you can comment on or make changes to this bug.